連絡先を更新

開発者は API を通じて連絡先情報を更新できます。

リクエストメソッド

PATCH

リクエスト URL

https://livedesk-api.engagelab.com/api/v2/accounts/contacts/:id

認証

認証方式の詳細については、API 概要 を参照してください。

リクエスト

リクエスト例

curl -X PATCH https://livedesk-api.engagelab.com/api/v2/accounts/contacts/:id \ -H 'Content-Type: application/json' \ -H 'Authorization: Basic base64(api_key:api_secret)' \ { "additional_attributes": { "description": "", "company_name": "", "city": "", "telegram": "", "country": "", "country_code": "", "social_profiles": { "facebook": "", "github": "", "instagram": "", "linkedin": "", "twitter": "" } }, "availability_status": "offline", "email": "support@jiguang.cn", "name": "support", "phone_number": null, "blocked": false, "identifier": "2222", "thumbnail": "", "last_activity_at": 1765441908, "custom_attributes": { // 任意: カスタム項目をマージして更新します(増分マージ) "vip_level": "platinum" }, "created_at": 1765441895, "first_name": "support", "last_name": "" }
              
              curl -X PATCH https://livedesk-api.engagelab.com/api/v2/accounts/contacts/:id \
-H 'Content-Type: application/json' \
-H 'Authorization: Basic base64(api_key:api_secret)' \
{
    "additional_attributes":
     {
        "description": "",
        "company_name": "",
        "city": "",
        "telegram": "",
        "country": "",
        "country_code": "",
        "social_profiles": 
        {
            "facebook": "",
            "github": "",
            "instagram": "",
            "linkedin": "",
            "twitter": ""
        }
    },
    "availability_status": "offline",
    "email": "support@jiguang.cn",
    "name": "support",
    "phone_number": null,
    "blocked": false,
    "identifier": "2222",
    "thumbnail": "",
    "last_activity_at": 1765441908,
    "custom_attributes": 
    {                  // 任意: カスタム項目をマージして更新します(増分マージ)
    "vip_level": "platinum"
    },
    "created_at": 1765441895,
    "first_name": "support",
    "last_name": ""
}

            
このコードブロックはフローティングウィンドウ内に表示されます

リクエストヘッダー

フィールド 説明
Authorization string 認証には Authorization: Basic base64(API Key:API Secret) を使用します。API Key ページで API Key と API Secret を取得し、コロンで連結した後に Base64 エンコードしてください。
Content-Type application/json リクエストのデータ形式です。application/json を使用します。

パスパラメータ

フィールド 必須 説明
account integer はい アカウント ID
id integer はい 連絡先 ID

リクエストボディパラメータ

フィールド 必須 説明
additional_attributes Object いいえ 追加属性。
description Object いいえ 説明情報。
company_name String いいえ 会社名。
city String いいえ 都市。
telegram String いいえ Telegram の連絡先。
country String いいえ 国。
country_code String いいえ 国コード。
social_profiles String いいえ ソーシャルメディア連絡先。
availability_status String いいえ オンライン状態。デフォルトは offline です。
email String いいえ メールアドレス。
name String いいえ 名前。
phone_number String いいえ 電話番号。
blocked String いいえ ブロックされているかどうか。デフォルトは false です。
identifier String いいえ 連絡先の外部一意識別子で、画面に表示される UserID に対応します。
thumbnail String いいえ 連絡先アバターの URL。
last_activity_at String いいえ 最終更新タイムスタンプ。
created_at String いいえ 作成タイムスタンプ。
first_name String いいえ 連絡先の名。
last_name Array いいえ 連絡先の姓。
custom_attributes object カスタム項目

レスポンス例

{ "payload": { "additional_attributes": { "description": "", "company_name": "", "city": "", "telegram": "", "country": "", "country_code": "", "social_profiles": { "facebook": "", "github": "", "instagram": "", "linkedin": "", "twitter": "" } }, "availability_status": "offline", "email": "support@jiguang.cn", "id": 318763, "name": "support", "phone_number": null, "blocked": false, "identifier": "2222", "thumbnail": "", "custom_attributes": {}, "last_activity_at": 1765441908, "created_at": 1765441895, "contact_inboxes":[ { "source_id": "src_001", "inbox": { "id": 10, "name": "カスタマーサービスチャネル", "channel_type": "Channel::Api" } } ] } }
              
              {
    "payload": {
        "additional_attributes": {
            "description": "",
            "company_name": "",
            "city": "",
            "telegram": "",
            "country": "",
            "country_code": "",
            "social_profiles": {
                "facebook": "",
                "github": "",
                "instagram": "",
                "linkedin": "",
                "twitter": ""
            }
        },
        "availability_status": "offline",
        "email": "support@jiguang.cn",
        "id": 318763,
        "name": "support",
        "phone_number": null,
        "blocked": false,
        "identifier": "2222",
        "thumbnail": "",
        "custom_attributes": {},
        "last_activity_at": 1765441908,
        "created_at": 1765441895,
        "contact_inboxes":[
        {
         "source_id": "src_001",
          "inbox": {
          "id": 10,
          "name": "カスタマーサービスチャネル",
          "channel_type": "Channel::Api"
        }
      }
    ]
    }
}

            
このコードブロックはフローティングウィンドウ内に表示されます

レスポンスパラメータ

フィールド 必須 説明
payload Object いいえ 属性構造。
additional_attributes Object いいえ 追加属性。
availability_status String いいえ オンライン状態。デフォルトは offline です。
email String いいえ メールアドレス。
id String いいえ 連絡先 ID。
name String いいえ 名前。
phone_number String いいえ 電話番号。
blocked String いいえ ブロックされているかどうか。デフォルトは false です。
identifier String いいえ 連絡先の外部一意識別子で、画面に表示される UserID に対応します。
thumbnail String いいえ アバター URL。
custom_attributes String いいえ 連絡先属性。
created_at String いいえ 作成タイムスタンプ。
last_activity_at String いいえ 最終更新タイムスタンプ。
contact_inboxes array include_contact_inboxes=true の場合にのみ返される関連チャネル情報。
source_id String いいえ ソース ID。
inbox Object いいえ 受信箱情報。
id Integer いいえ 受信箱 ID。
name String いいえ 受信箱名。
channel_type String いいえ チャネルタイプ。
Icon Solid Transparent White Qiyu
お問い合わせ